import { jsx } from "react/jsx-runtime";
import { TokenEQX as TokenEQX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEQX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "EQX", "data-name": "TokenEQX", ...props, children: /* @__PURE__ */ jsx(TokenEQX$1, { variant }) });
  }
);
TokenEQX.displayName = "TokenEQX";
Object.assign(TokenEQX, { isGdsIcon: true });
export {
  TokenEQX
};
